Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I'm new to OS X and I have an older Snow Leopard system. I need to compile a few simple C programs for some analysis work. It seems that gcc et al are part of a package called Xcode, and that many free software programs are in a package called Macports.

It seems that Macports requires Xcode. Xcode is not available for Snowleopard unless I have a $99/year developer subscription. Alternatively I can install Lion for $30.

So to compile a tiny C program, I need to download some 5GB of upgrades and updates to upgrade to Lion, then download some 4GB iso to install Xcode?

Seriously? Am I doing it wrong?

share|improve this question
2  
Did you check your installation DVD (in case you got one)? Xcode might actually be on it already. –  patrix Jul 1 '12 at 14:48
1  
XCode is definitely on the installation DVD--if you got one. –  ephsmith Jul 1 '12 at 14:49
1  
I think I might have gotten confused about needing 4.something. My Google searches all brought up the story about how it doesn't exist on the website, but it didn't mention that 3.2 is on the DVD. Thank you! –  mgjk Jul 1 '12 at 15:04
    
@ephsmith could you post this as an answer so I can accept it? –  mgjk Aug 16 '12 at 15:43
add comment

1 Answer

You can register as a developer for free on developer.apple.com. Scroll down to the bottom of the page for

enter image description here

Once registered you can download Xcode 3.2.6 from the developer site:

enter image description here

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.